> For a complete page index, fetch https://developer.close.com/llms.txt

# List files attached to a lead

GET https://api.close.com/api/v1/lead/{id}/files/

Reference: https://developer.close.com/api/resources/leads/files-list

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required)

## Request

### Path parameters

- `id` (string, required)

### Query parameters

- `_limit` (integer, optional, default: 100) — Number of results to return.
- `_skip` (integer, optional, default: 0) — Number of results to skip before returning, for pagination.
- `_fields` (string, optional) — Comma-separated list of fields to include in the response.

## Response

### 200

Successful response

- `data` (list of object, required)
  - `checksum` (string, required)
  - `content_type` (string, required)
  - `date_created` (datetime, required)
  - `date_updated` (datetime, required)
  - `download_url` (string, required)
  - `id` (string, required)
  - `is_pinned` (boolean, required)
  - `last_activity_at` (datetime, required)
  - `last_object_id` (string, required)
  - `last_object_type` (string, required)
  - `lead_id` (string, required)
  - `name` (string, required)
  - `organization_id` (string, required)
  - `size` (integer, required)
  - `thumbnail_url` (string, required, nullable)
  - `updated_by` (string, required, nullable)
- `has_more` (boolean, required)

## Examples

**Response**

```json
{
  "data": [
    {
      "checksum": "d41d8cd98f00b204e9800998ecf8427e",
      "content_type": "application/pdf",
      "date_created": "2024-03-07T16:07:00+00:00",
      "date_updated": "2024-03-07T16:07:00+00:00",
      "download_url": "https://app.close.com/go/file/persisted/orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH/activity.email/acti_5rV2n1Ub/1Zx0AlY1DwBXzKKrVwpAoj/contract.pdf/",
      "id": "file_2Lm4kZ8Qqwe0rTaPnB6yXcVd9sHgKfJoMuIlN3vBz1A",
      "is_pinned": false,
      "last_activity_at": "2024-03-07T16:07:00+00:00",
      "last_object_id": "acti_5rV2n1UbQ8mLkJhGfDsAwErTyUiOpZxCvBnM3aQ",
      "last_object_type": "activity.email",
      "lead_id": "lead_70jZ5hiVt5X31MZ3vJ0R0GJMqJEihkoF7TtSVFbN2ty",
      "name": "contract.pdf",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "size": 20480,
      "thumbnail_url": null,
      "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
    }
  ],
  "has_more": false
}
```

**SDK Code**

```python leads_filesList_example
import requests

url = "https://api.close.com/api/v1/lead/id/files/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript leads_filesList_example
const url = 'https://api.close.com/api/v1/lead/id/files/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go leads_filesList_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/lead/id/files/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby leads_filesList_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/lead/id/files/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java leads_filesList_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/lead/id/files/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php leads_filesList_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/lead/id/files/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp leads_filesList_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/lead/id/files/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```